# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Typedefs | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/Matrix2.hpp File Reference

`#include <vlCore/checks.hpp>`
`#include <vlCore/Vector2.hpp>`
`#include <cstring>`

Go to the source code of this file.

## Classes

class | vl::Matrix2< T_Scalar >
| The Matrix2 class is a template class that implements a generic 2x2 matrix, see also vl::dmat2, vl::fmat2, vl::umat2, vl::imat2. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Typedefs

typedef Matrix2< double > | vl::dmat2
| A 2x2 matrix using `double` precision.
typedef Matrix2< float > | vl::fmat2
| A 2x2 matrix using `float` precision.
typedef Matrix2< int > | vl::imat2
| A 2x2 matrix using `int` precision.
typedef Matrix2< unsigned int > | vl::umat2
| A 2x2 matrix using `unsigned` int precision.
typedef fmat2 | vl::mat2
| Defined as: `'typedef` `fmat2` `mat2'`. See also VL_PIPELINE_PRECISION.

## Functions

template<typename T_Scalar >
Matrix2< T_Scalar > | vl::operator* (const Matrix2< T_Scalar > &p, const Matrix2< T_Scalar > &q)
template<typename T_Scalar >
Matrix2< T_Scalar > | vl::operator+ (T_Scalar d, const Matrix2< T_Scalar > &m)
template<typename T_Scalar >
Matrix2< T_Scalar > | vl::operator* (T_Scalar d, const Matrix2< T_Scalar > &m)
template<typename T_Scalar >
Vector2< T_Scalar > | vl::operator* (const Matrix2< T_Scalar > &m, const Vector2< T_Scalar > &v)
template<typename T_Scalar >
Vector2< T_Scalar > | vl::operator* (const Vector2< T_Scalar > &v, const Matrix2< T_Scalar > &m)

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:48.
Permission is granted to use this page to write and publish articles regarding Visualization Library.